class WorkerForm
  constructor: ->
    $('#new_setting_button').on 'click', (event) ->
      event.preventDefault()
      key = $('#new_setting_key').val()
      value = $('#new_setting_value').val()
      return if key.length < 1 || value.length < 1
      formElement = """
        <div id="setting_#{key}">
          <label>#{key}</label>
          <div class='row'>
            <div class="col-sm-10">
              <input class='form-control' name="worker[settings][#{key}]" type="text" value="#{value}" />
            </div>
            <div class='col-sm-2'>
              <button class='remove_setting btn btn-danger' data-key="#{key}">Remove</button>
            </div>
          </div>
        </div>
      """
      $('#worker_settings').append(formElement)

    $(document).on 'click', '.remove_setting', (event) ->
      event.preventDefault()
      key = $(event.target).data('key')
      name = "worker[settings][#{key}]"
      $("input[name='#{name}']").remove()
      $("#setting_#{key}").hide()

$ ->
  new WorkerForm() if $('#worker_form').length > 0


