module Canvas::Models
  class Account < BaseModel
    validates :sis_id, :name, presence: true
    validates :status, inclusion: {in: %w(active deleted)}
    attr_accessor :sis_id, :parent_sis_id, :name, :status

    def after_initialize
      self.status ||= 'active'
    end
  end
end