module Canvas::Models
  class Course < BaseModel
    validates :sis_id, :short_name, :long_name, presence: true
    validates :status, inclusion: {in: %w(active deleted completed)}
    attr_accessor :sis_id, :account_sis_id, :term_sis_id, :short_name, :long_name, :status, :start_date, :end_date

    def after_initialize
      self.status ||= 'active'
    end
  end
end