module Canvas::Models
  class Group < BaseModel
    validates :sis_id, :name, presence: true
    validates :status, inclusion: {in: %w(available closed completed deleted)}
    attr_accessor :sis_id, :account_sis_id, :name, :status

    def after_initialize
      self.status ||= 'available'
    end
  end
end
