module Canvas::Models
  class GroupMembership < BaseModel
    validates :user_sis_id, :group_sis_id, presence: true
    validates :status, inclusion: {in: %w(accepted deleted)}
    attr_accessor :group_sis_id, :user_sis_id, :status

    def after_initialize
      self.status ||= 'accepted'
    end
  end
end