module Canvas::Models
  class User < BaseModel
    validates :sis_id, :login_id, presence: true
    validates :status, inclusion: {in: %w(active deleted)}
    attr_accessor :sis_id, :login_id, :password, :first_name, :last_name, :email, :status, :avatar_url

    def after_initialize
      self.status ||= 'active'
    end
  end
end
