IntegrationPal::Engine.routes.draw do
  scope as: 'saml2' do
    get 'login' => 'saml#new'
    post 'login' => 'saml#create'
    get 'SAML2' => 'saml#metadata', as: 'meta'
    get 'logout' => 'saml#logout'
  end

  root to: 'workers#index'
  resources :workers
  resources :jobs
  resources :tasks

  namespace :api do
    namespace :v1 do
      resources :jobs, only: [:create, :show]
    end
  end
end
