module Canvas::Models
  class Section < BaseModel
    validates :sis_id, :course_sis_id, :name, presence: true
    validates :status, inclusion: {in: %w(active deleted)}
    attr_accessor :sis_id, :course_sis_id, :account_sis_id, :name, :status, :start_date, :end_date

    def after_initialize
      self.status ||= 'active'
    end
  end
end