module Canvas::Models
  class UserObserver < BaseModel
    validates :observer_id, :student_id, presence: true
    validates :status, inclusion: {in: %w(active deleted)}
    attr_accessor :observer_id, :student_id, :status

    def after_initialize
      self.status ||= 'active'
    end
  end
end