module Canvas::Models
  class XList < BaseModel
    validates :section_sis_id, :xlist_course_sis_id, presence: true
    validates :status, inclusion: {in: %w(active deleted)}
    attr_accessor :xlist_course_sis_id, :section_sis_id, :status

    def after_initialize
      self.status ||= 'active'
    end
  end
end