module IntegrationPal
  class Task < ApplicationRecord
    include IntegrationPal::Statusable

    store :params, coder: Hash

    belongs_to :job

    validates :job, presence: true

    def start
      self.update_attributes(status: IN_PROGRESS_STATUS, started_at: Time.zone.now)
    end

  end
end